plugins {
    id("d.convention.library")
    id("d.convention.coroutines")
    id("d.convention.hilt")
    id("com.google.protobuf")
}

android {
    namespace = "com.zaojiao.app.data.local"
}

protobuf {
    protoc {
        artifact = "com.google.protobuf:protoc:3.23.0"
    }

    generateProtoTasks {
        all().forEach { task ->
            task.builtins {
                register("java") {
                    option("lite")
                }
                register("kotlin") {
                    option("lite")
                }
            }

        }
    }
}

dependencies {
    implementation(project(":core:common"))
    implementation(project(":data:model"))

    implementation("androidx.datastore:datastore:1.0.0")
    implementation("com.google.protobuf:protobuf-kotlin-lite:3.23.0")
    implementation("org.jetbrains.kotlinx:kotlinx-serialization-protobuf:1.5.1")
}